Package com.documentum.fc.client

# Interface IDfDumpRecord

All Superinterfaces:
  `IDfPersistentObject`, `IDfTypedObject`

public interface IDfDumpRecord extends IDfPersistentObject
Interface for getting and setting values for dm_dump_record objects.

Since:
  6.0

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCurrentObjectCount()`
  `String`
  `getCurrentOffset()`
  `int`
  `getCurrentPos()`
  `int`
  `getCurrentRootCount()`
  `String`
  `getDumpOperation()`
  `String`
  `getDumpParameter(int index)`
  `String`
  `getDumpType(int index)`
  `IDfTime`
  `getEndTime()`
  `String`
  `getFileName()`
  `String`
  `getPredicate(int index)`
  `String`
  `getPredicate2(int index)`
  `int`
  `getRootCount()`
  `IDfTime`
  `getStartTime()`
  `boolean`
  `isComplete()`
  `boolean`
  `isIncludeContent()`
  `boolean`
  `isMore()`
  `void`
  `setDumpOperation(String value)`
  `void`
  `setDumpParameter(int index, String value)`
  `void`
  `setDumpType(int index, String value)`
  `void`
  `setFileName(String value)`
  `void`
  `setIncludeContent(boolean value)`
  `void`
  `setPredicate(int index, String value)`
  `void`
  `setPredicate2(int index, String value)`

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### getFileName

    String getFileName() throws DfException
    Throws:
      `DfException`

  - ### setFileName

    void setFileName(String value) throws DfException
    Throws:
      `DfException`

  - ### getPredicate

    String getPredicate(int index) throws DfException
    Throws:
      `DfException`

  - ### setPredicate

    void setPredicate(int index, String value) throws DfException
    Throws:
      `DfException`

  - ### getPredicate2

    String getPredicate2(int index) throws DfException
    Throws:
      `DfException`

  - ### setPredicate2

    void setPredicate2(int index, String value) throws DfException
    Throws:
      `DfException`

  - ### getDumpType

    String getDumpType(int index) throws DfException
    Throws:
      `DfException`

  - ### setDumpType

    void setDumpType(int index, String value) throws DfException
    Throws:
      `DfException`

  - ### getStartTime

    IDfTime getStartTime() throws DfException
    Throws:
      `DfException`

  - ### getEndTime

    IDfTime getEndTime() throws DfException
    Throws:
      `DfException`

  - ### getRootCount

    int getRootCount() throws DfException
    Throws:
      `DfException`

  - ### getCurrentRootCount

    int getCurrentRootCount() throws DfException
    Throws:
      `DfException`

  - ### getCurrentObjectCount

    int getCurrentObjectCount() throws DfException
    Throws:
      `DfException`

  - ### getCurrentPos

    int getCurrentPos() throws DfException
    Throws:
      `DfException`

  - ### isIncludeContent

    boolean isIncludeContent() throws DfException
    Throws:
      `DfException`

  - ### setIncludeContent

    void setIncludeContent(boolean value) throws DfException
    Throws:
      `DfException`

  - ### getDumpOperation

    String getDumpOperation() throws DfException
    Throws:
      `DfException`

  - ### setDumpOperation

    void setDumpOperation(String value) throws DfException
    Throws:
      `DfException`

  - ### getDumpParameter

    String getDumpParameter(int index) throws DfException
    Throws:
      `DfException`

  - ### setDumpParameter

    void setDumpParameter(int index, String value) throws DfException
    Throws:
      `DfException`

  - ### getCurrentOffset

    String getCurrentOffset() throws DfException
    Throws:
      `DfException`

  - ### isComplete

    boolean isComplete() throws DfException
    Throws:
      `DfException`

  - ### isMore

    boolean isMore() throws DfException
    Throws:
      `DfException`